Status: Closed   

Priority: Normal   

Category:    

Customer: ELEKTROBIT Product Issue

Numbers:

 

Department: SUPPORT Affected Products: ADTF 3.0.0

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::CE

Resolution: Solved Issue FAQ Links:  

Description

Supportanfrage:

Der Configuration Editor hängt sich sehr oft auf. Ich hab zwei Tage damit gearbeitet und erst dann ihn das erste mal normal beendet.

Ein reproduzierbares Beispiel ist die Verwendung des Context Menüs auf viele nicht Default Elemente.

Beispielprojekt "C:\ADTF\3.0.0\src\examples\projects\ADTF Project\ADTF Project.adtfproject"

Rechtsklick auf jedes nicht Default Element im "Project View" führt zum Hänger (also nur Rechtsklick auf "Sessions", "Graphs",

"Systems" scheint ohne Problem).

Im Filtergraph und Streaminggraph editor führt Rechtsklick auf fast alles zum Hänger (Filter, Leere Fläche, Connection, Stream, ...).

Lediglich Rechtsklick auf Ports scheint unproblematisch.

Gruss,

Jochen

Best regards - Beste Grüße

Ursula Groh

EB Assist ADTF Support-Team

Lösung:

Angaben zu den "Hängern" beim Rechtsklick auf die Unterpunkte von Session, Graphs & Systems im Project View können nur

teilweise nachvollzogen werden.

Die kurze "Wartezeit" ist auf Qt 5.7 zurückzuführen, da bei jedem Rechtsklick das Kontextmenü geladen werden muss, was

wahrscheinlich auch Performanceabhängig ist.

Mit dem Umstieg auf Qt5.8 soll das ganze besser werden, denn mit dieser Version müssen z.B. die Kontextmenüs nur einmal

geladen werden.

Wann der Umstieg auf Qt5.8 kommen wird kann ich noch nicht genau sagen, es ist geplant und ist so in ~3Monaten angedacht evtl.

zusammen mit 3.1.

In nächster Zeit stehen zuerst die Toolboxen für ADTF3 an.

Komplettabstürze des CE's, wenn reproduzierbar, werden natürlich im Laufe der Entwicklung weniger.

History

#1 - 2017-03-16 12:20 - hidden

- Project changed from Public Support to 7

- Topic set to ADTF::CE

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF 3.0.0 added
- Platform Windows 7 64bit added

#2 - 2017-03-16 13:20 - hidden

- Status changed from New to Customer Feedback Required

An den Anwender:

Hallo Ursula,

ich kann deine Angaben zu den "Hängern" beim Rechtsklick auf die Unterpunkte von Session, Graphs & Systems im Project View nur teilweise

nachvollziehen.

Die kurze "Wartezeit" ist auf Qt 5.7 zurückzuführen, da bei jedem Rechtsklick das Kontextmenü geladen werden muss, was wahrscheinlich auch

Performanceabhängig ist.

Mit dem Umstieg auf Qt5.8 soll das ganze besser werden, denn mit dieser Version müssen z.B. die Kontextmenüs nur einmal geladen werden.

Wann der Umstieg auf Qt5.8 kommen wird kann ich noch nicht genau sagen, es ist geplant und ist so in ~3Monaten angedacht evtl. zusammen mit

3.1.

In nächster Zeit stehen zuerst die Toolboxen für ADTF3 an.

Komplettabstürze des CE's, wenn reproduzierbar, werden natürlich im Laufe der Entwicklung weniger.

Damit sollte das Support Ticket abgeschlossen sein.

Können wir das Ticket schließen und public machen?

#3 - 2017-03-17 08:21 - hidden

Hallo Stephan,

ok das klingt nach einer Lösung, wenn auch nicht sofort.

Ich werde erst mal die Nachricht dem Jochen weiterleiten und euch dann Bescheid geben, wenn er keine weiteren Fragen oder Anmerkungen dazu

hat.

Viele Grüße

Ursula

#4 - 2017-03-17 13:46 - hidden

Jochen: "Bei mir hängt sich das Programm i.d.R. auf. D.h. keine „kurze Verzögerung“ sondern „Zombie“."

Und was genau bedeutet eigentlich "public machen"?

#5 - 2017-03-17 13:56 - hidden

An den Anwender:

Hallo zusammen,

public machen, heißt den Private Haken aus dem Ticket entfernen. Dann ist es von allen Usern der Digitalwerk Platform sichtbar und wir können

direkt darauf verweisen, vorallem wenn Fehlerfälle häufiger auftreten.

#6 - 2017-03-17 16:36 - hidden

Nachtrag:

Public machen heißt auch verschieben von (in eurem Fall) EB Support zu Support (hier sind alle public Tickets für alle sichtbar)

#7 - 2017-03-21 10:00 - hidden

An den Anwender:

Bitte um Rückmeldung zu den offenen Punkten bzw. Feedback zum Ticketstatus bzw. der Erwartungshaltung.

Thema aus Supportsicht eigentlich abgeschlossen.

#8 - 2017-03-27 13:08 - hidden

Bitte um Rückmeldung zu den offenen Punkten bzw. Feedback zum Ticketstatus bzw. der Erwartungshaltung.

Thema aus Supportsicht eigentlich abgeschlossen.

Zeit für Feedback bis morgen den 28.03.2017 eingeräumt.
#9 - 2017-03-28 12:18 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

Vom Anwender:

Danke, Ticket kann geschlossen werden.

 

@Florian, Ticket kann geschlossen werden.

#10 - 2017-03-28 13:43 - hidden

- Project changed from 7 to Public Support

- Subject changed from ADTFS-46369 Bug: ADTF 3.0.0; Configuration Editor hängt sich auf. to ADTFS-46369 Configuration Editor with no resonse on

some use cases

- Status changed from To Be Closed to Closed

#11 - 2017-08-18 09:13 - hidden

- Subject changed from ADTFS-46369 Configuration Editor with no resonse on some use cases to ADTFS-46369 Configuration Editor does not

response in some use cases
